The yaml package

[Tags:bsd3, library, test]

Provides support for parsing and emitting Yaml documents.

This package includes the full libyaml C library version 0.1.2 by Kirill Simonov (http://pyyaml.org/wiki/LibYAML) in the package so you don't need to worry about any non-Haskell dependencies.

The package is broken down into two modules. Data.Yaml provides a high-level interface based around the JSON datatypes provided by the aeson package. Text.Libyaml provides a lower-level, streaming interface. For most users, Data.Yaml is recommended.

Properties

Versions 0.0.0, 0.0.1, 0.0.2, 0.0.3, 0.0.4, 0.2.0, 0.2.1, 0.3.0, 0.4.0, 0.4.1, 0.4.1.1, 0.4.1.2, 0.5.0, 0.5.0.1, 0.5.1, 0.5.1.1, 0.5.1.2, 0.5.2, 0.6.0, 0.6.1, 0.7.0, 0.7.0.1, 0.7.0.2, 0.7.0.3, 0.7.0.4, 0.8.0, 0.8.0.1, 0.8.0.2, 0.8.1, 0.8.1.1, 0.8.1.2, 0.8.2, 0.8.2.1, 0.8.2.2, 0.8.2.3, 0.8.2.4, 0.8.3, 0.8.4, 0.8.4.1, 0.8.5, 0.8.5.1, 0.8.5.2, 0.8.5.3, 0.8.5.4, 0.8.6, 0.8.6.1, 0.8.6.2, 0.8.7, 0.8.7.1, 0.8.7.2, 0.8.8, 0.8.8.1, 0.8.8.2, 0.8.8.3, 0.8.8.4, 0.8.9, 0.8.9.1, 0.8.9.2, 0.8.9.3, 0.8.9.4, 0.8.10, 0.8.10.1, 0.8.11, 0.8.12, 0.8.13, 0.8.14, 0.8.15.1, 0.8.15.2, 0.8.15.3, 0.8.16, 0.8.17, 0.8.17.1, 0.8.17.2, 0.8.18, 0.8.18.1, 0.8.18.2, 0.8.18.3, 0.8.18.4, 0.8.18.5, 0.8.18.6, 0.8.18.7, 0.8.19.0, 0.8.20, 0.8.21, 0.8.21.1
Dependencies aeson (>=0.5), attoparsec, base (==4.*), bytestring (>=0.9.1.4), conduit (>=0.5 && <1.1), containers, resourcet (>=0.3 && <0.5), scientific, text, transformers (>=0.1 && <0.4), unordered-containers, vector, yaml [details]
License BSD3
Author Michael Snoyman <michael@snoyman.com>, Anton Ageev <antage@gmail.com>,Kirill Simonov
Maintainer Michael Snoyman <michael@snoyman.com>
Stability stable
Category Web
Home page http://github.com/snoyberg/yaml/
Source repository head: git clone https://github.com/snoyberg/yaml
Uploaded Wed Feb 5 15:09:38 UTC 2014 by MichaelSnoyman
Distributions Arch:0.8.20, Debian:0.8.15.2, Fedora:0.8.18.7, FreeBSD:0.8.13, LTSHaskell:0.8.21.1, NixOS:0.8.21.1, Stackage:0.8.21.1, Tumbleweed:0.8.20
Downloads 112532 total (896 in the last 30 days)
Votes
0 []
Status Docs available [build log]
Successful builds reported [all 1 reports]

Modules

[Index]

Flags

NameDescriptionDefaultType
no-exedon't install the yaml2json executableDisabledAutomatic
system-libyamlUse the system-wide libyaml instead of the bundled copyDisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees